Frame buffer manipulation

Functions that deal with frame buffers. More...

## Functions

EAPI void | ecore_drm_fb_dirty (Ecore_Drm_Fb *fb, Eina_Rectangle *rects, unsigned int count)
| Marks an Ecore_Drm_Fb as dirty.
EINA_DEPRECATED EAPI void | ecore_drm_fb_set (Ecore_Drm_Device *dev, Ecore_Drm_Fb *fb)
| Sets an Ecore_Drm_Fb as the current framebuffer.

## Detailed Description

Functions that deal with frame buffers.

## Function Documentation

## ecore_drm_fb_dirty()

EAPI void ecore_drm_fb_dirty | ( | Ecore_Drm_Fb * | fb,
|  | Eina_Rectangle * | rects,
|  | unsigned int | count )

Marks an Ecore_Drm_Fb as dirty.

This function mark an Ecore_Drm_Fb as being dirty.

Parameters

  fb | The Ecore_Drm_Fb to mark as dirty
  rects | The regions of the Ecore_Drm_Fb which are dirty
  count | The number of regions

Since
  1.14

References alloca(), EINA_SAFETY_ON_NULL_RETURN, ERR, _Eina_Rectangle::h, _Eina_Rectangle::w, _Eina_Rectangle::x, and _Eina_Rectangle::y.

## ecore_drm_fb_set()

EINA_DEPRECATED EAPI void ecore_drm_fb_set | ( | Ecore_Drm_Device * | dev,
|  | Ecore_Drm_Fb * | fb )

Sets an Ecore_Drm_Fb as the current framebuffer.

This function will set the given Ecore_Drm_Fb as the framebuffer used across all outputs.

Parameters

  dev | The Ecore_Drm_Device to use
  fb | The Ecore_Drm_Fb to make the current framebuffer

Deprecated
  just call ecore_drm_fb_send() instead.

Since
  1.14

References EINA_UNUSED.